Bug 1893 - startgnomeclassic does not work
: startgnomeclassic does not work
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: GNOME edition
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Arkady L. Shane
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-06 16:05 MSD by MikhailZ
Modified: 2013-11-06 21:22 MSK (History)
0 users

See Also:
RPM Package: gnome-session-3.6.2-3-rosa2012.1.i586
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description MikhailZ 2013-04-06 16:05:15 MSD
Description of problem:

When launching startgnome or startgnomeclassic result is the same.
Gnome-shell are launching. Gnome Classic does'nt work

Find a bug in /etc/gnome/gnomerc
Being patched by following patch, startgnomeclassic works fine !
So session Gnome Classic became workable

Patch: 
--- /etc/gnome/gnomerc.original    2013-02-08 19:43:39.000000000 +0400
+++ /etc/gnome/gnomerc     2013-04-06 15:52:56.359550478 +0400
@@ -30,5 +30,4 @@ fi
 
 
 # path takes precedence
-exec gnome-session
-exec /usr/bin/gnome-session
+exec /usr/bin/gnome-session $SESSION_ARGS
Comment 1 Arkady L. Shane 2013-11-06 21:22:35 MSK
Fixed in last images.